<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\DozentenInfo\Detailsreiter\DozentenDetails;

class DozentenDetailsPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\Presenter
{
  protected function getView()
  {
    return new DozentenDetailsView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new DozentenDetailsViewModel();
    $viewModel->columns = $this->useCaseResponse->columns;
    $viewModel->dozent = $this->useCaseResponse->dozent;
    $viewModel->toolSection = $this->useCaseResponse->toolSection;
    $viewModel->toolSettings = $this->useCaseResponse->toolSettings;

    return $viewModel;
  }
}